<?php
namespace SSMLP;

include_once 'enum.php';
include_once 'helpers.php';

abstract class App {
    
    public static function get_instance() {
        $class = get_called_class();
        static $instance = null;
        if ( $instance == null ) {
            $instance = new $class();
        }
        return $instance;
    }
    
    public function json($data=[], $error = 0, $message = "SUCCESS"){
        return $resp = [
            'error' => $error,
            'message' => $message,
            'data' => $data,
        ];
    }
    
    public abstract function init();
    
}
