<?php 

$ssmlp_config = array(
    'pluginurl' => plugins_url()."/SSMLProcessor/",
    'ajaxurl' => admin_url('admin-ajax.php'),
  );
  wp_enqueue_script("ssmlp_script", plugin_dir_url( __FILE__ )."/assets/js/script.js", array( 'jquery' ), true);
  wp_enqueue_style("ssmlp_fontawesome", "https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css");
  wp_enqueue_style("ssmlp_css", plugin_dir_url( __FILE__ )."../assets/css/style.css");
  wp_localize_script('ssmlp_script', 'ssmlp', $ssmlp_config);
  global $wpdb;

  if (isset($_POST['submit']) == true) {
    $phrase = $_POST['phrase'];
    $ipa_spell = $_POST['ipa_spell'];
    $audio_url = $_POST['audio_url'];
    $table_name = 'wp_phoneme_ipa';
    $dir = __DIR__;

    $insert_qry = $wpdb->insert($table_name, array(
        'phrase' => $phrase,
        'ipa_value' => $ipa_spell,
        'ipa_audio' => $audio_url
    ));

 ?>
    <script>
      var base_url = "<?php echo get_site_url(); ?>";
    </script>
    <?php
    if ($insert_qry == true) {
        ?>
    <script>
        jQuery("#ssmlp_editorbox .ssmlp_loader").show();
        window.location= base_url+'/wp-admin/admin.php?page=homograph_data';
        jQuery("#ssmlp_editorbox .ssmlp_loader").hide();
    </script>

    <?php
    } 
    else {
        ?>
    <script>
        alert("You must fill all the fields before saving data");
    </script>

    <?php
    }
}

?>

<div class="">
    <form action="" method="POST" enctype="multipart/form-data">
        <h1 class="text-center pt-3" style="padding-bottom: 20px;">Add Word</h1>
        <div class="pt-4 mb-3 row pb-3">
            <label class="col-sm-2 col-form-label edit_label">Enter Word</label>
            <div class="col-sm-10">
                <input type="text" class="form-control edit_input " name="phrase" Required>
            </div>
        </div>

        <div class="pt-4 mb-3 row pb-3">
            <label class="col-sm-2 col-form-label edit_label">Enter IPA Spelling</label>
            <div class="col-sm-10">
                <input type="text"  class="form-control edit_input" id="edit_title" name="ipa_spell" Required>
            </div>
        </div>

        <div class="pt-4 mb-3 row pb-3">
            <label class="col-sm-2 col-form-label edit_label"> Enter Audio Url</label>
            <div class="col-sm-10">
                <input type="text"  class="form-control edit_input" name="audio_url">
            </div>
        </div>

        <p class="submit">
            <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes" style="font-size: 16px;">
        </p>
    </form>
</div>