jQuery(document).ready(function(){
  var start = document.getElementById("start");
  var background = document.getElementById("background");
  var end = document.getElementById("end");

  jQuery('.close').click(function(){
    jQuery('.modaal').attr('style','display:none');
  });

  window.onclick = function(event) {
    if (event.target == start || event.target == background || event.target == end) {
      start.style.display = "none";
      background.style.display = "none";
      end.style.display = "none";
    }
  }

  var def_samplerate = jQuery('#sampleratetemp').val();
  if(def_samplerate != null && def_samplerate == jQuery('#8000').data('samplerate')){
    jQuery("#8000").attr('style','background:black;color:white;');
    jQuery("#sampleratetemp").val(def_samplerate);
  }else if(def_samplerate != null && def_samplerate == jQuery('#16000').data('samplerate')){
    jQuery("#16000").attr('style','background:black;color:white;');
    jQuery("#sampleratetemp").val(def_samplerate);
  }
  else if(def_samplerate != null && def_samplerate == jQuery('#22050').data('samplerate')){
    jQuery("#22050").attr('style','background:black;color:white;');
    jQuery("#sampleratetemp").val(def_samplerate);
  }
  else if(def_samplerate != null && def_samplerate == jQuery('#24000').data('samplerate')){
    jQuery("#24000").attr('style','background:black;color:white;');
    jQuery("#sampleratetemp").val(def_samplerate);
  }


  jQuery('.sample_rate_li').click(function(){
    var val = jQuery(this).data('samplerate');
    jQuery('.sample_rate_li').each(function(i,v){
      jQuery(v).attr('style','');
    })
    jQuery(this).attr('style','background:black;color:white;');
    jQuery("#sampleratetemp").val(val);
    console.log(jQuery("#sampleratetemp").val(val));
  });

  jQuery('#li_start').click(function(){
    var text = jQuery("#start_select").text();
    if(text == "Deselect"){
      jQuery("#start_select").text("Select");
      jQuery('#show_start').text("");
      jQuery('#show_start').removeAttr("src");
      jQuery('#li_start').attr('style','background:white;color:black;');
    }else{
      jQuery('#start').attr('style','display:block');
    }
  });

  jQuery('#li_background').click(function(){
    var text = jQuery("#background_select").text();
    if(text == "Deselect"){
      jQuery("#background_select").text("Select");
      jQuery('#show_background').text("");
      jQuery('#show_background').removeAttr("src");
      jQuery('#li_background').attr('style','background:white;color:black;');
    }else{
      jQuery('#background').attr('style','display:block');
    }
  });

  jQuery('#li_end').click(function(){
    var text = jQuery("#end_select").text();
    if(text == "Deselect"){
      jQuery("#end_select").text("Select");
      jQuery('#show_end').text("");
      jQuery('#show_end').removeAttr("src");
      jQuery('#li_end').attr('style','background:white;color:black;');
    }else{
      jQuery('#end').attr('style','display:block');
    }
    
  });
      
});


var ssmlp_loader = `<div class="ssmlp_loader">
    <img src="` + ssmlp.pluginurl + `/assets/images/loader.gif"/>
  </div>`;

function ssmlp_publish(projectId,fileText) {
  // console.log("check-->",projectId,fileText);
  var samplerate = jQuery("#sampleratetemp").val();
  var voice = jQuery("#ssmlp_voice option:selected").val();
  var ssml = tinyMCE.activeEditor.getContent();
  var start_aud = jQuery("#show_start").attr('src');
  var background_aud = jQuery("#show_background").attr('src');
  var end_aud = jQuery("#show_end").attr('src');
  var projectId= projectId;
  var fileText= fileText;

  if(ssml.trim() == "") {
    alert("Please write SSML to process.");
    return;
  }
    
  jQuery("#ssmlp_editorbox .ssmlp_loader").show();
  var data = {
    'ssml': ssml,
    'samplerate': samplerate,
    'voice': voice,
    'startaudio': start_aud,
    'backgroundaudio' : background_aud,
    'endaudio' : end_aud,
    'projectId':projectId,
    'fileName':fileText,
  };

  jQuery.post(ssmlp.actionurl + "process_ssml", data, function(resp) {
    jQuery("#ssmlp_editorbox .ssmlp_loader").hide();
    console.log(resp);
    if(resp.error == 1) {
      alert(resp.message);
    }
    else {
      jQuery("#ssmlp_downloadframe").attr("src", resp.data.url[0]);
      jQuery("#remaining_conversions").text(resp.data.url[1]);
      ssmlp_load_recent_history();
    }
  });
  return false;
}

async function ipa_audio (ipa, index, text) {
  var samplerate = "8000";
  var voice = "Joanna";
  var ssml = '<p><phoneme alphabet="ipa" ph="'+ipa+'">'+text+'</phoneme></p>';
  var start_aud = jQuery("#show_start").attr('src');
  var background_aud = jQuery("#show_background").attr('src');
  var end_aud = jQuery("#show_end").attr('src');
  
  jQuery("#ssmlp_editorbox .ssmlp_loader").show();
  var data = {
    'ssml': ssml,
    'samplerate': samplerate,
    'voice': voice,
    'startaudio': start_aud,
    'backgroundaudio' : background_aud,
    'endaudio' : end_aud,
    'ipatext': ipa
  };

  const response = await jQuery.post(ssmlp.actionurl + "process_ssml", data);
  jQuery("#ssmlp_editorbox .ssmlp_loader").hide();
  if(response.error == 1) {
    alert(response.message);
  }else {
    jQuery("#ipa_playAudio"+ index).attr("src", response.data.url);
    return jQuery("#ipa_playAudio"+ index)
  }
  return false;
}

function resettodefault(){
  jQuery("#li_start").removeAttr('style');
  jQuery('#show_start').text('');
  jQuery('#show_start').removeAttr("src");
  jQuery('#start_select').text("Select");

  jQuery("#li_background").removeAttr('style');;
  jQuery('#show_background').text('');
  jQuery('#show_background').removeAttr("src");
  jQuery('#background_select').text("Select");

  jQuery("#li_end").removeAttr('style');;
  jQuery('#show_end').text('');
  jQuery('#show_end').removeAttr("src");
  jQuery('#end_select').text("Select");
}

function ssmlp_copy(e,id,text) {
  resettodefault();
  get_sbe(id);
  tinymce.activeEditor.setContent("");
  // var text = jQuery(e).parent().parent().find('span').data("text");
  tinymce.activeEditor.selection.setContent(text);
  // window.location.href = "#ssmlp_editorbox";
  ssmleditor_updateCharCounter({id: 'ssmlp_editor'})
}

function get_sbe(id){
  jQuery("#ssmlp_editorbox .ssmlp_loader").show();
  var data = {
    'id': id,
  };
  jQuery.post(ssmlp.actionurl + "get_SBE", data, function(resp){
    jQuery("#ssmlp_editorbox .ssmlp_loader").hide();
    start = resp.data.aud[0];
    background = resp.data.aud[1];
    end = resp.data.aud[2];
    
    if(start != null){
      jQuery("#li_start").attr('style','background:black;color:white;');
      a = start.split('/');
      name=" | "+a[a.length-1];
      jQuery('#show_start').text(name);
      jQuery('#show_start').attr('src',start);
      jQuery('#start_select').text("Deselect");
    }

    if(background != null){
      jQuery("#li_background").attr('style','background:black;color:white;');
      a = background.split('/');
      name=" | "+a[a.length-1];
      jQuery('#show_background').text(name);
      jQuery('#show_background').attr('src',background);
      jQuery('#background_select').text("Deselect");
    }

    if(end != null){
      jQuery("#li_end").attr('style','background:black;color:white;');
      a = end.split('/');
      name=" | "+a[a.length-1];
      jQuery('#show_end').text(name);
      jQuery('#show_end').attr('src',end);
      jQuery('#end_select').text("Deselect");
    }
  });
}

function ssmlp_delete(id){
  var data = {
    'id': id,
  };
  if(confirm("Are you sure to delete this file?")) {
    jQuery("#recent_history_box").append(ssmlp_loader);
    jQuery.post(ssmlp.actionurl + "history_delete", data, function(resp) {
      
    });
  }
  return false;
}

function audio_delete(id){
  var data = {
    'id': id,
  };
  if(confirm("Are you sure to delete this entry?")) {
    jQuery.post(ssmlp.actionurl + "audio_delete", data);
  }
  location.reload();
  return false;
}

function ssmlp_load_recent_history(){
  if(jQuery("#recent_history_box").length > 0){
    data = {};
    //if(jQuery("#recent_history_box .ssmlp_loader").length < 0)
      jQuery("#recent_history_box").append(ssmlp_loader);
    jQuery.get(ssmlp.actionurl + "recent_history", data, function(resp) {
      jQuery("#recent_history_box").html(resp);
    });
  }
}


jQuery(document).ready(function(){
  ssmlp_load_recent_history();
  jQuery("#ssmlp_editorbox .ssmlp_loader").hide();
});

function select_start_audio(obj){
  var val ="| "+jQuery(obj).siblings().find("source").attr("name");
  var link = jQuery(obj).siblings().find("source").attr("src");
  jQuery('#show_start').text(val);
  jQuery('#start').attr('style','display:none');
  if(link != ""){
    jQuery("#li_start").attr('style','background:black;color:white;');
    jQuery('#start_select').text("Deselect");
  }
  jQuery('#show_start').attr('src',link);

}

function select_background_audio(obj){
  var val = "| "+jQuery(obj).siblings().find("source").attr("name");
  var link = jQuery(obj).siblings().find("source").attr("src");
  jQuery('#show_background').text(val);
  jQuery('#background').attr('style','display:none');
  if(link != ""){
    jQuery("#li_background").attr('style','background:black;color:white;');
    jQuery('#background_select').text("Deselect");
  }
  jQuery('#show_background').attr('src',link);

}

function select_end_audio(obj){
  var val = "| "+jQuery(obj).siblings().find("source").attr("name");
  var link = jQuery(obj).siblings().find("source").attr("src");
  jQuery('#show_end').text(val);
  jQuery('#end').attr('style','display:none');
  if(link != ""){
    jQuery("#li_end").attr('style','background:black;color:white;');
    jQuery('#end_select').text("Deselect");
  }
  jQuery('#show_end').attr('src',link);

}


