<?php 
namespace SSMLP;

class Enum {
    public static $ssmlp_samplerates = [
        '8000' => '8kHz',
        '16000' => '16kHz',
        '22050' => '22kHz',
        '24000' => '24kHz',
    ];

    public static $ssmlp_voices = [
        'Arabic (arb)'=> [
            'Zeina' => 'Zeina (Female)'
        ],
        'Chinese, Mandarin (cmn-CN)'=>[
            'Zhiyu' => 'Zhiyu (Female)'
        ],
        'Danish (da-DK)'=>[
            'Naja' => 'Naja (Female)',
            'Mads' => 'Mads (male)',
        ],
        'Dutch (nl-NL)'=>[
            'Lotte' => 'Lotte (Female)',
            'Ruben' => 'Ruben (male)'
        ],
        'English (Australian) (en-AU)'=>[
            'Nicole' => 'Nicole (Female)',
            'Russell' => 'Russell (male)'
        ],
        'English (British) (en-GB)'=>[
            'Amy' => 'Amy (Female)',
            'Emma' => 'Emma (Female)',
            'Brian' => 'Brian (male)'
        ],
        'English (Indian) (en-IN)'=>[
            'Aditi' => 'Aditi (Female)',
            'Raveena' => 'Raveena (Female)'
        ],
        'English (US) (en-US)'=>[
            'Ivy' => 'Ivy (Female)',
            'Joanna' => 'Joanna (Female)',
            'Kendra' => 'Kendra (Female)',
            'Kimberly' => 'Kimberly (Female)',
            'Salli' => 'Salli (Female)',
            'Joey' => 'Joey (male)',
            'Justin' => 'Justin (male)',
            'Matthew' => 'Matthew (male)'
        ],
        'English (Welsh) (en-GB-WLS)'=>[
            'Geraint' => 'Geraint (Fmale)'
        ],
        'French (fr-FR)'=>[
            'Céline/Celine' => 'Céline/Celine (Female)',
            'Léa' => 'Léa (Female)',
            'Mathieu' => 'Mathieu (male)'
        ],
        'French (Canadian) (fr-CA)'=>[
            'Chantal' => 'Chantal (Female)'
        ],
        'German (de-DE)'=>[
            'Marlene' => 'Marlene (Female)',
            'Vicki' => 'Vicki (Female)',
            'Hans' => 'Hans (male)'
        ],
        'Hindi (hi-IN)'=>[
            'Aditi' => 'Aditi (Female)'
        ],
        'Icelandic (is-IS)'=>[
            'Dóra/Dora' => 'Dóra/Dora (Female)',
            'Karl' => 'Karl (male)'
        ],
        'Italian (it-IT)'=>[
            'Carla' => 'Carla (Female)',
            'Bianca' => 'Bianca (Female)',
            'Giorgio' => 'Giorgio (male)'
        ],
        'Japanese (ja-JP)'=>[
            'Mizuki' => 'Mizuki (Female)',
            'Takumi' => 'Takumi (male)'
        ],
        'Korean (ko-KR)'=>[
            'Seoyeon' => 'Seoyeon (Female)'
        ],
        'Norwegian (nb-NO)'=>[
            'Liv' => 'Liv (Female)'
        ],
        'Polish (pl-PL)'=>[
            'Ewa' => 'Ewa (Female)',
            'Maja' => 'Maja (Female)',
            'Jacek' => 'Jacek (male)',
            'Jan' => 'Jan (male)',
        ],
        'Portuguese (Brazilian) (pt-BR)'=>[
            'Vitória/Vitoria' => 'Vitória/Vitoria (Female)',
            'Ricardo' => 'Ricardo (male)'
        ],
        'Portuguese (European) (pt-PT)'=>[
            'Inês/Ines' => 'Inês/Ines (Female)',
            'Cristiano' => 'Cristiano (male)'
        ],
        'Romanian (ro-RO)'=>[
            'Carmen' => 'Carmen (Female)'
        ],
        'Russian (ru-RU)'=>[
            'Tatyana' => 'Tatyana (Female)',
            'Maxim' => 'Maxim (male)'
        ],
        'Spanish (European) (es-ES)'=>[
            'Conchita' => 'Conchita (Female)',
            'Lucia' => 'Lucia (Female)',
            'Enrique' => 'Enrique (male)',
        ],
        'Spanish (Mexican) (es-MX)'=>[
            'Mia' => 'Mia (Female)',
        ],
        'Spanish (US) (es-US)'=>[
            'Penélope/Penelope' => 'Penélope/Penelope (Female)',
            'Miguel' => 'Miguel (male)'
        ],
        'Swedish (sv-SE)'=>[
            'Astrid' => 'Astrid (Female)'
        ],
        'Turkish (tr-TR)'=>[
            'Filiz' => 'Filiz (Female)'
        ],
        'Welsh (cy-GB)'=>[
            'Gwyneth' => 'Gwyneth (Female)'
        ],
    ];
}
?>