<div id="wpbody">
    <div id="wpbody-content">
        <div class="wrap">
            <!-- Page Heading -->
            <h2><?php echo get_admin_page_title(); ?></h2>
            <!-- Left Content Area -->
            <div class="d2l-cp-left-content">
            	<div class="d2l-cp-settings-body">
        			<!-- Form for Color Palettes -->
	        		<form method="post" action="options.php">
	        			<?php
	        				settings_fields('d2l_cp_colors');
	        				$default_color_array = array('#ededed', '#ecf0f1',  '#c8d6e5', '#d7ceb2', '#34495e', '#22313f', '#2ecc71', '#48b56a', '#4fbfa8', '#1f8dd6', '#2574a9', '#0c2c84', '#5f27cd', '#fad232','#ff9f43', '#ed6789', '#ff6b6b', '#ee5253');
	        				for ($cp = 1; $cp<=18; $cp++){
	        					${'d2l_color_palettes'.$cp}  = get_option('d2l_color_palettes'.$cp);
	        				}
	    				?>
	    					<div class="description" style="width:100%">
	    					<h2 class="desc_title"><?php _e('About this plugin', 'd2l-wp-colorpicker') ?></h2>
	    					<p> <?php _e('This is plugin increases the number of color palette and customize their default colors used by all instances of WordPress Color Picker.', 'd2l-wp-colorpicker') ?> </p>
	    					</div>
		        		<div style="float:left; width:50%">
		        			<table cellpadding="2" cellspacing="3">
			        		<?php for ($cp = 1; $cp<=9; $cp++){ $default_cp = $cp-1;
							$color= ${'d2l_color_palettes'.$cp};
							if($color=="" || $color==NULL)
							{
								$color = $default_color_array[$default_cp];
							}
							?>
			        		<tr>
			        			<td width="12%">
			        				<strong><?php _e("Palette $cp <span class='d2l_default_color_palette'>(".$default_color_array[$default_cp].")</span>:", 'd2l-wp-colorpicker') ?></strong>
			        			</td>
			        			<td width="15%">
								<?php //echo $color." kk";?>
			        				<input type="text" name="d2l_color_palettes<?php echo $cp;?>" value="<?php echo $color;?>" style="width: 100px;" class="d2l-cp-field">
			        				<span class="d2l-curr-color-palette" style="background-color: <?php echo $color;?>">&nbsp;</span>
			        			</td>
							</tr>
							<?php } ?>
		        		</table>
		        		</div>
		        		<div style="float:left; width:50%">
		        			<table cellpadding="2" cellspacing="3">
			        		<?php for ($cp = 10; $cp<=18; $cp++){ $default_cp = $cp-1;
							$color= ${'d2l_color_palettes'.$cp};
							if($color=="" || $color==NULL)
							{
								$color = $default_color_array[$default_cp];
							}
							?>
			        		<tr>
			        			<td width="12%">
			        				<strong><?php _e("Palette $cp <span class='d2l_default_color_palette'>(".$default_color_array[$default_cp].")</span>:", 'd2l-wp-colorpicker') ?></strong>
			        			</td>
			        			<td width="30%">
			        				<input type="text" name="d2l_color_palettes<?php echo $cp;?>" value="<?php echo $color; ?>" style="width: 100px;" class="d2l-cp-field">
			        				<span class="d2l-curr-color-palette" style="background-color: <?php echo $color; ?>">&nbsp;</span>
			        			</td>
							</tr>
							<?php } ?>		        		
			        		
		        		</table>		        		
		        		</div>
		        		<div style="width:100%">
		        			<input type="submit" name="d2l_cp_colorpicker" class="button button-primary" value="Save Color Palettes">
		        		</div>
		        		<p>Default colors are in the close brakets</p>
	        		</form>
            	</div>
            </div>           
        </div>
    </div>
</div>