<?php 
use SSMLP\Enum;
$ssmlp_config = array(
  'pluginurl' => plugins_url()."/SSMLProcessor/",
  'ajaxurl' => admin_url('admin-ajax.php'),
);
wp_enqueue_script("ssmlp_script", plugin_dir_url( __FILE__ )."/assets/js/script.js", array( 'jquery' ), true);
wp_enqueue_style("ssmlp_fontawesome", "https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css");
wp_enqueue_style("ssmlp_css", plugin_dir_url( __FILE__ )."../assets/css/style.css");
wp_localize_script('ssmlp_script', 'ssmlp', $ssmlp_config);
?>
<h1><?= get_admin_page_title(); ?></h1>
<div style="padding-bottom:20px">
  <form action="<?=admin_url('admin.php');?>" method="post" enctype="multipart/form-data">
      <input type="hidden" name="action" value="ssmlp_upload_audio">
      <input type="file" id="i_file" name="i_file" value="" onchange="myFunction()">
      <input type="hidden" name="path_link" id="tmp_path">
      <input type="submit" name="submit" id="submit" class="button button-primary" value="Upload">
  </form>  
</div>

<script>
  jQuery("#submit").attr("disabled", true);
 function myFunction() {
  if(jQuery("#i_file").val()==''){
    jQuery("#submit").attr("disabled", true);
  }else{
    jQuery("#submit").attr("disabled", false);
  }
}
  
</script>
<script>
  jQuery('#i_file').change( function(event) {
    var tmppath = URL.createObjectURL(event.target.files[0]);
    jQuery("#tmp_path").val(tmppath);
});
</script>


<?php 
  global $wpdb;
  $id = get_current_user_id();
  $result = $wpdb->get_results ( "SELECT * FROM wp_ssmlp_audios WHERE `deleted` = 0 ORDER BY `name` DESC" );
  if($result != ""){
?>

<table class="wp-list-table widefat fixed striped ">
  <thead>
    <tr>
      <th style="width:20%">Name</th>
      <th style="width:65%">Link</th>
      <!-- <th>Format</th> -->
      <th>Delete</th>
    </tr>
  </thead>
  <tbody>
  <?php
    foreach($result as $print){
  ?>
    <tr>
      <td>
          <span>
            <?=$print->name;?>
          </span>
      </td>
      <td>
          <span style="cursor: pointer">
            <a href="<?=$print->link;?>"><?=$print->link;?></a>
          </span>
      </td>
      <!-- <td>
          <span>
            <?=$print->format;?>
          </span>
      </td> -->
      <td  style="cursor: pointer">
        <i onclick="audio_delete(<?=$print->id?>)" class="fa fa-trash live_delete" title="Delete"></i>
      </td>
    </tr>
    <?php }
    } ?>  
  </tbody>
</table>
