<div class="ssmlp">
<?php
  $ssmlp_config = array(
    'pluginurl' => plugins_url()."/SSMLProcessor/",
    'ajaxurl' => admin_url('admin-ajax.php'),
  );
  wp_enqueue_script("ssmlp_script", plugin_dir_url( __FILE__ )."/assets/js/script.js", array( 'jquery' ), true);
  wp_enqueue_style("ssmlp_fontawesome", "https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css");
  wp_enqueue_style("ssmlp_css", plugin_dir_url( __FILE__ )."../assets/css/style.css");
  wp_localize_script('ssmlp_script', 'ssmlp', $ssmlp_config);
 ?>
 <br><br>
 <h1><?= get_admin_page_title(); ?></h1>
  <?php 
    global $wpdb;
    $id = get_current_user_id();
    $result = $wpdb->get_results ( "SELECT * FROM wp_ssmlp_history WHERE `user_id` = $id AND `deleted` = 0 ORDER BY id DESC" );
    if($result != ""){
  ?>

<table class="wp-list-table widefat fixed striped ">
  <thead>
    <tr>
      <th class="colwidth">Date</th>
      <th class="colwidth">SSML</th>
      <th class="colwidth">Start Audio</th>
      <th class="colwidth">Background Audio</th>
      <th class="colwidth">End Audio</th>
      <th class="colwidth">Action</th>
    </tr>
  </thead>
  <tbody>
  <?php
    foreach($result as $print){
  ?>
    <tr>
      <td><?= date("d M, Y  h:m:s A", strtotime($print->date));?></td>
      <td>
          <span data-text="<?=htmlspecialchars(json_encode(['ssml'=>$print->text]), ENT_QUOTES, 'UTF-8');?>">
            <?=$print->text;?>
          </span>
      </td>
      <td>
          <span style="cursor: pointer">
            <a href="<?=$print->start_aud;?>"><?=$print->start_aud;?></a>
          </span>
      </td>
      <td>
          <span style="cursor: pointer">
            <a href="<?=$print->background_aud;?>"><?=$print->background_aud;?></a>
          </span>
      </td>
      <td>
          <span style="cursor: pointer">
            <a href="<?=$print->end_aud;?>"><?=$print->end_aud;?></a>
          </span>
      </td>
      <td>
        <a href="<?=$print->url;?>" class="live_download" id="d" title="Download"><i class="fa fa-download"></i></a>
        <!-- <i onclick="return ssmlp_delete('<?=$print->id?>')" class="fa fa-trash live_delete" title="Delete"></i> -->
        <input type="hidden" id="ssml_id" value='<?=$print->id;?>'/>
      </td> 
    </tr>
    <?php }
    } ?>  
  </tbody>
</table>
</div>
