<?php 
  global $wpdb;
  $rows = $wpdb->get_results("SELECT * FROM wp_ssmlp_audios");
?>
<table>
    <thead>
      <tr>
        <th><span class="th-span" data-toggle="modal" data-target="#start">Select Start Audio</span></th>
        <th><span class="th-span" data-toggle="modal" data-target="#background">Select Background Audio</span></th>
        <th><span class="th-span" data-toggle="modal" data-target="#end">Select End Audio</span></th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td><span id="show_start"></span></td>
        <td><span id="show_background"></span></td>
        <td><span id="show_end"></span></td>
      </tr>
    </tbody>
</table>

    <!-- The Modal start audio -->
    <div class="modal" id="start">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Select Start audio</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <ul>
                    <?php foreach($rows as $v):?>
                        <li>
                            <span><?=$v->name;?></span>
                            <audio controls>
                                <source name="<?=$v->name;?>" src="<?=$v->link;?>" type="audio/mpeg">
                            </audio>
                            <button class="btn btn-primary btn-xs aud-select" data-dismiss="modal" onclick="select_start_audio(this);"><i class="fa fa-check" aria-hidden="true"></i></button>
                        </li>
                    <?php endforeach;?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!-- The Modal start audio -->

    <!-- The Modal background audio -->
    <div class="modal" id="background">
        <div class="modal-dialog">
            <div class="modal-content">
            <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Select background audio</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
            <!-- Modal body -->
                <div class="modal-body">
                    <ul>
                    <?php foreach($rows as $v):?>
                        <li>
                            <span><?=$v->name;?></span>
                            <audio controls>
                                <source name="<?=$v->name;?>" src="<?=$v->link;?>" type="audio/mpeg">
                            </audio>
                            <button class="btn btn-primary btn-xs aud-select" data-dismiss="modal" onclick="select_background_audio(this);"><i class="fa fa-check" aria-hidden="true"></i></button>
                        </li>
                    <?php endforeach;?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!-- The Modal background audio -->

    <!-- The Modal end audio -->
    <div class="modal" id="end">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Select end audio</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- Modal body -->
                <div class="modal-body">
                    <ul>
                        <?php foreach($rows as $v):?>
                        <li>
                            <span><?=$v->name;?></span>
                            <audio controls>
                                <source name="<?=$v->name;?>" src="<?=$v->link;?>" type="audio/mpeg">
                            </audio>
                            <button class="btn btn-primary btn-xs aud-select" data-dismiss="modal" onclick="select_end_audio(this);"><i class="fa fa-check" aria-hidden="true"></i></button>
                        </li>
                        <?php endforeach;?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!-- The Modal end audio -->