<script>
  var base_url = "<?php echo get_site_url(); ?>";
  var video_url = "<?php echo get_option("ssmlp_video"); ?>";
</script>
<?php
    use \SSMLP\Enum;
    use SSMLP\Helper;
 
$samplerate = get_option("ssmlp_samplerate");
$voice = get_option("ssmlp_voice");
$login_check = !is_user_logged_in();
$wp_login = get_site_url();
$wp_login = $wp_login . '/wp-login.php';
?>

<?php 
  global $wpdb;
  $id = get_current_user_id();
 
  $rows = $wpdb->get_results("SELECT * FROM wp_ssmlp_audios");
  
  $theme_colour = get_option("ssmlp_theme_colour");
  $theme_border_colour = get_option("ssmlp_border_colour");
   $theme_icon_colour = get_option("ssmlp_icon_colour");
  $theme_bg_colour = get_option("ssmlp_bg_colour");
  if( $theme_colour =="" || $theme_colour ==null )
  {
	  $theme_colour = "#000000";
	  
  }
  
  if(  $theme_border_colour =="" ||  $theme_border_colour ==null )
  {
	   $theme_border_colour = "#000000";
	  
  }
  $rowsProjects = $wpdb->get_results("SELECT * FROM wp_ssmlp_project where created_by= '$id' ORDER BY id DESC  ");

?>


<div id="ssmlp_editorbox" class ="ssmlp">
  <?php 
  if($login_check==1) {
    ?>
    <p style="font-size: 16px;font-weight: 600; margin-top:-50px !important;">Please login first to use the SSML Editor!</p>
    <a href=<?= ''.$wp_login ?>><button type="button" style="font-size:12px;margin: 10px 0 10px 0;">Login</button></a>
    <!-- <textarea readonly style="height: 300px;"></textarea> -->
    <?php
  }
  else {
    ?>
    <div style="display:flex;border:1px solid black;padding: 0px 10px 0px 10px;  align-items: center; justify-content:space-between;">
    <div class="ssmlp_filter_container">
      <label style="margin:0; font-weight: bold;">Project Name</label>
      <select data-placeholder="Enter Project Name" class="js-example" style="width: 100%; height: 22px;" id="dd_project" onchange="changeddlProject(this)"> 
        <?php foreach ($rowsProjects as $x => $val):?>
          <option value="" disabled selected hidden>Enter Project Name</option>
         <option value="<?=$val->id?>"><?=$val->name?></option>
         <?php endforeach;?>  
    </select>
   </div>
   <div style="display:flex; align-items: center; margin-top: 26px;margin-left: 1px;" >
    <input type="button" style="padding: 8%; font-size: 10px; background-color: #222; color: white; font-weight: 600;border-radius: 0px;" value="Add New" onclick="AddNewItem()" />
  
    <i class="fa fa-trash" style="padding: 4px; color:#2a70af" onclick="deleteProject()"></i>
  </div>
   <div class="ssmlp_filter_container">
   <label style="margin:0; font-weight: bold;">File Name</label>
    <select data-placeholder="Enter File Name"  class="js-example" style="width: 100%; height: 22px;" id="dd_file" onchange="changeddlfile(this)">
    <option value="" disabled selected hidden>Enter File Name</option>
    </select>
</div>
<div style="display:flex; align-items: center; margin-top: 26px;margin-left: 1px;" >
<input type="button" style="padding: 6%; font-size: 10px; background-color: #222; color: white; font-weight: 600;border-radius: 0px;" value="Add New" onclick="AddFileName()" />
<a id="downloadurl" style="box-shadow: none;"  >
<i class="fa fa-download" style=" padding: 4px; color:#2a70af"  onclick="download()"></i>
</a>
<i class="fa fa-trash" style="padding: 4px; color:#2a70af" onclick="deleteFile()"></i>
</div>
    <div class="ssmlp_filter_container" style="text-align: center"> 
      <label style="margin:0; font-weight: bold;">Date/Time:</label>
     <p style=" margin-bottom: -25px;" id="datetime"> &nbsp;<p/>
   </div>
</div>
    <textarea id="ssmlp_editor"></textarea>
  <div class="m-top-10">
    <div class="label_dropdown_cont">
      <label class="sample_rate_label">SAMPLE RATE</label>
      <ul>
        <li class="sample_rate_li" data-samplerate="8000" id="8000">8kHz</li>
        <li class="sample_rate_li" data-samplerate="16000" id="16000">16kHz</li>
        <li class="sample_rate_li" data-samplerate="22050" id="22050">22kHz</li>
        <li class="sample_rate_li" data-samplerate="24000" id="24000">24kHz</li>
      </ul>
      <input type="hidden" id="sampleratetemp" value="<?=$samplerate?>">
    </div>

    <span class="label_dropdown_cont">
      <label class="voice_label">VOICE</label>
      <select id="ssmlp_voice" name="voice">
      <?php foreach(Enum::$ssmlp_voices as $gk=>$gv):?>
      <optgroup label="<?=$gk;?>">
        <?php foreach($gv as $vk=>$vv):?>
        <option value="<?=$vk?>" <?=$vk==$voice?"selected":""?>>
          <?=$vv?>
        </option>
        <?php endforeach;?>
      </optgroup>
      <?php endforeach;?>
      </select>
    </span>
  </div>

  <div class="m-top-102 width-control"> 
    <label class="audio_label">SELECT AUDIO</label>
    <ul>
      <li class="audio_btn" id="li_start">START 
        <span class="aud_text" id="show_start"></span>
        <span class="select_text" id="start_select">Select</span>
      </li>
      <li class="audio_btn" id="li_background">BACKGROUND 
        <span class="aud_text" id="show_background"></span>
        <span class="select_text" id="background_select">Select</span>
      </li>
      <li class="audio_btn" id="li_end">END 
        <span class="aud_text" id="show_end"></span>
        <span class="select_text" id="end_select">Select</span>
      </li>
    </ul>
  </div>

  <iframe id="ssmlp_downloadframe" style="display: none;"></iframe>
  <input id="ssml_allowed_chars" type="hidden" value="<?=get_option("allowed_characters")?>">
  <?php if(!current_user_can('administrator') && is_user_logged_in(true)):?>
    <label class="conversion_label" id="convo_label">REMAINING CONVERSIONS : <span id="remaining_conversions"><?=get_option('remaining_conversions')?></span></label>
  <?php endif;?>
  <button class="btn btn-primary" id="ssmlp_btnprocess" style=" outline: none; box-shadow: none; border-radius:0;" onclick="process_ssml()">Process</button>
  <div class="ssmlp_loader">
    <img src="<?=Helper::getJsConfig()["pluginurl"]."/assets/images/loader.gif"; ?>"/>
  </div>

</div>

<?php
  }
  ?>


<!-- start Modal -->
<div id="start" class="modaal">
  <!-- Modal content -->
  <div class="modaal-content">
    <span class="close">&times;</span>
    <h4 class="ssmlph4">Select Start Audio</h4>
    <ul>
      <?php foreach($rows as $v):?>
      <li class="aud_name">
        <span><?=$v->name;?></span>
      </li>
      <li class="aud_player">
        <audio controls>
          <source name="<?=$v->name;?>" src="<?=$v->link;?>" type="audio/mpeg">
        </audio>
        <span class="aud-select select_btn" onclick="select_start_audio(this);">Select</span>
      </li>
      <?php endforeach;?>
    </ul>
  </div>
</div>
<!-- start Modal end -->

<!-- background Modal -->
<div id="background" class="modaal">

  <!-- Modal content -->
  <div class="modaal-content">
    <span class="close">&times;</span>
    <h4 class="ssmlph4">Select Background audio</h4>
    <ul>
      <?php foreach($rows as $v):?>
      <li class="aud_name">
        <span><?=$v->name;?></span>
      </li>
      <li class="aud_player">
        <audio controls>
          <source name="<?=$v->name;?>" src="<?=$v->link;?>" type="audio/mpeg">
        </audio>
        <span class="aud-select select_btn" onclick="select_background_audio(this);">Select</span>
      </li>
      <?php endforeach;?>
    </ul>
  </div>

</div>
<!-- background Modal end -->

<!-- end Modal -->
<div id="end" class="modaal">

  <!-- Modal content -->
  <div class="modaal-content">
    <span class="close">&times;</span>
    <h4 class="ssmlph4">Select End audio</h4>
    <ul>
      <?php foreach($rows as $v):?>
      <li class="aud_name">
        <span><?=$v->name;?></span>
      </li>
      <li class="aud_player">
        <audio controls>
          <source name="<?=$v->name;?>" src="<?=$v->link;?>" type="audio/mpeg">
        </audio>
        <span class="aud-select select_btn" onclick="select_end_audio(this);">Select</span>
      </li>
      <?php endforeach;?>
    </ul>
  </div>

</div>
<!-- end Modal end -->

<div id="phoneme-modal" class="modaal">

  <!-- Modal content -->
  <div class="modaal-content">
    <span class="close">&times;</span>
    <h4 class="ssmlph4 ph_title">Apply SSML "Phoneme"</h4>
    <div style="margin-top: 40px;">
      <div class="form-group">
        <label class="ph_label" for="alphabet">Alphabet</label>
        <select id="alphabet" class="phoneme-alphabet alphabet_select">
          <option value="ipa">ipa</option>
          <option value="x-sampa">x-sampa</option>
        </select>
      </div>
      <div class="form-group" style="position:relative">
        <label class="ph_label" data-toggle="tooltip" data-placement="bottom" title="The Ph field provides the International Phonetic Alphabet (IPA) Phonetic pronunciation of the highlighted, Phoneme-tagged word in the Editor's text area." for="ph">Ph <i class="fa fa-question-circle-o" aria-hidden="true"></i></label>
        <input id="ph" type="text" class="phoneme-ph input_area" readonly/>
        <!-- <label class="ph_label word_search">Word Search</label>
        <input id="ph" type="text" class="form-control phoneme-word" /> -->
        <input type="text" style="display:none;" class="form-control phoneme-ipa input_area" />
        <button class="get-phoneme-results get_btn">Get</button>
        <a class="link-btn link_btn">?</a>
      </div>

      <div class="phoneme-dy-fields"></div>
      <div class="form-group" style="position:relative; height: 50px;">
        <button class="phoneme-submit ph_submit">OK</button>
      </div>
    </div>
  </div>

</div>

<script>
  var result ;
  var selected_id;
  var select_val;
  var fileText;
  var projectId;
  var typed = "";
  
      jQuery(document).ready(function() {
        jQuery('.js-example').select2({
          // allowClear: true,
            language: {
                searching: function () {
                  typed = jQuery('.select2-search__field').val();
             }
            },
           
          
            // escapeMarkup: function (markup) {
            //     return markup;
            // }
        });
    });

    async function process_ssml (){
      ssmlp_publish(projectId,fileText);
      setTimeout(() => {
        changeddlProject();
        jQuery("html").animate({ scrollTop: 0 }, "slow");
      }, 2000);
    }
    function AddFileName(){
      fileText = typed;

      if (fileText == "" || fileText == undefined){
        alert("Please enter File name")
      }
      else{
        projectId =jQuery('#dd_project').find(':selected').val();
        if (projectId){
        jQuery("#dd_file").append("<option value='-1' selected>"+fileText+"</option>");
        jQuery('#dd_file').trigger('change'); 
        jQuery("#dd_file").select2("close");
        }
        else{
          alert("Please select any project")
          jQuery("#dd_file").select2("close");
        }
      }
    }
    async function changeddlProject(obj) {
      jQuery("#dd_file").empty();
      selected_id= "";
      // tinymce.activeEditor.setContent("");
      select_val = jQuery('#dd_project').find(':selected').val();
      result = await fetch(`${base_url}/wp-json/ssml/v1/process-project-name/${select_val}`)
      result = await result.json(result)
      const options = []
      result?.data.map(d => {
        options.push(new Option(d.file_name,d.id))
      })
      jQuery('#dd_file').append(`<option value="" disabled selected hidden >
                                       Enter File Name
                                  </option>`);
      jQuery('#dd_file').append(options);
      
    }

    function changeddlfile(obj){
    selected_id = jQuery('#dd_file').find(':selected').val();
    if (result.data.length >0 && selected_id != -1){
      var copyText = result?.data.filter(x => x.id == selected_id)[0].text;
      ssmlp_copy(this,selected_id,copyText)
      changeDate();
    }
    else{
      tinymce.activeEditor.setContent("");
    }
  }
  async function deleteFile(){
    if (selected_id && selected_id != -1){
  
      let formData = new FormData();
      formData.append('id', selected_id);

      if(confirm("Are you sure to delete this file?") ) {
      await fetch(`${base_url}/ssmlp/history_delete`,{ method: 'POST',body: formData })
      location.reload();
      }
      else{
        return false;
      }
    }
    else{
      alert("Please select a File"); 
    }
  }
  async function deleteProject(){
    var selectedProjId = jQuery('#dd_project').find(':selected').val();
    if (selectedProjId){
      if(confirm("Are you sure to delete this project?") ) {
        await fetch(`${base_url}/wp-json/ssml/v1/delete-project/${selectedProjId}`)
        location.reload();
      }
      else{
        return false;
      }
    }
    else{
      alert("Please select a Project"); 
    }
  }
  function download(){

    if (selected_id && selected_id != -1){
      var url = result?.data.filter(x => x.id == selected_id)[0].url;
      document.getElementById("downloadurl").setAttribute('href', url);
    }
    else{
      alert("Please select a File");
    }

  }
   function changeDate(){
    var dateTime = result?.data.filter(x => x.id == selected_id)[0].date;
    var newDate = new Date(dateTime);
    var formatDate= newDate.toDateString().slice(3,15);

    document.getElementById('datetime').innerText = formatDate
  }
  async function AddNewItem() {
    var ProjName = typed;
    // fileText = jQuery("#dd_file").data("select2").dropdown.$search.val();
      if (ProjName == "" || ProjName == undefined){
        alert("Please enter Project name")
      }
      else{
        jQuery("#dd_project").select2("close");
        var userId = <?php echo get_current_user_id(); ?>; 
        result = await fetch(`${base_url}/wp-json/ssml/v1/add-project/${ProjName}/${userId}`)
        if (result){
          jQuery("#dd_project").empty();
          result = await fetch(`${base_url}/wp-json/ssml/v1/load-project/${userId}`)
          result = await result.json(result)
          
          const options = []
          result?.data.map(d => {
            options.push(new Option(d.name,d.id))
          })
          jQuery('#dd_project').append(options);
          jQuery("#dd_file").empty();
          tinymce.activeEditor.setContent("");
        }
      }

  }
</script>


<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<style>
  
.ssmlp .sample_rate_li:hover {
    background: rgb(202, 202, 202);
}
.ssmlp .audio_btn , .wp-core-ui select
{
	color: <?php echo $theme_colour; ?>!important;
	border : 1px solid <?php echo $theme_border_colour; ?>!important;
}
.ssmlp .sample_rate_li 
{
	color: grey !important;
	border : 1px solid <?php echo $theme_border_colour; ?>!important;
}
.tox .tox-tbtn
{
	color: <?php echo $theme_colour; ?>!important;
}
	.tox .tox-statusbar  , .tox .tox-edit-area  , .tox-tinymce
	{
	border : 1px solid <?php echo $theme_border_colour; ?>!important;	
	}
	
	.tox .tox-statusbar 
	{
	border-width: 0px 1px 0px 1px !important;	
	}
	.tox .tox-edit-area
	{
		border-width: 1px 0px 1px 0px !important;
	}
    .ssmlp .ssmlicon
    {
   // filter: opacity(.5) drop-shadow(0 0 0 <?php echo $theme_colour ; ?>) !important;
    }
    .ssmlp_filter_container {
      width: 23%;
      padding-right: 0px !important;
      margin-left: 7px !important;
    }
    .select2-container--default .select2-selection--single{
      border-radius: 0px;
    }
</style>