<?php 

    $ssmlp_config = array(
        'pluginurl' => plugins_url()."/SSMLProcessor/",
        'ajaxurl' => admin_url('admin-ajax.php'),
    );
    wp_enqueue_script("ssmlp_script", plugin_dir_url( __FILE__ )."/assets/js/script.js", array( 'jquery' ), true);
    wp_enqueue_style("ssmlp_fontawesome", "https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css");
    wp_enqueue_style("ssmlp_css", plugin_dir_url( __FILE__ )."../assets/css/style.css");
    wp_localize_script('ssmlp_script', 'ssmlp', $ssmlp_config);

    global $wpdb;

    if(isset($_GET['id'])) {
        $result = $wpdb->get_results("SELECT * FROM wp_phoneme_ipa WHERE `id` = '$id'");
        foreach($result as $row) {
            $word = $row->phrase;
            $ipa_spelling = $row->ipa_value;
            $audio_link = $row->ipa_audio;
        }
    }
    ?>
    <script>
       jQuery(document).on('change', '#edit_ipa', function(){
            jQuery("#edit_url").val('');
            });
    </script>
    <?php

    if (isset($_POST['submit']) == TRUE) {
        $id = $_GET['id'];
        $phrase = $_POST['phrase'];
        $ipa_spell = $_POST['ipa_spell'];
        $audio_url = $_POST['audio_url'];
        $dir = __DIR__;
        $sqli = $wpdb->query("UPDATE `wp_phoneme_ipa` SET phrase='$phrase',ipa_value='$ipa_spell', ipa_audio='$audio_url' WHERE id='$id'");     

     ?>
        <script>
          var base_url = "<?php echo get_site_url(); ?>";
        </script>
        <?php
        if ($sqli == true) {
            ?>
        <script>
            window.location= base_url+'/wp-admin/admin.php?page=homograph_data';
        </script>

        <?php
        } 
        else {
            ?>
        <script>
            alert("You must change some data to update your homograph");
        </script>

        <?php
        }
    }
?>

<div class="">
    <form action="" method="POST" enctype="multipart/form-data">
        <h1 class="text-center pt-3" style="padding-bottom: 20px;">Edit Word</h1>
        <div class="pt-4 mb-3 row pb-3">
            <label class="col-sm-2 col-form-label edit_label">Word</label>
            <div class="col-sm-10">
                <input type="text" class="form-control edit_input " name="phrase" value='<?=$word?>' readonly>
            </div>
        </div>

        <div class="pt-4 mb-3 row pb-3">
            <label class="col-sm-2 col-form-label edit_label">IPA Spelling</label>
            <div class="col-sm-10">
                <input type="text"  class="form-control edit_input" id="edit_ipa" name="ipa_spell" value='<?=$ipa_spelling?>' Required>
            </div>
        </div>

        <div class="pt-4 mb-3 row pb-3">
            <label class="col-sm-2 col-form-label edit_label">Audio Url</label>
            <div class="col-sm-10">
                <input type="text"  class="form-control edit_input" id="edit_url" name="audio_url" value='<?=$audio_link?>'>
            </div>
        </div>

        <p class="submit">
            <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes" style="font-size: 16px;">
        </p>

    </form>
</div>
